name: hashable
version: 1.2.7.0
id: hashable-1.2.7.0-CWI8VZuQTAYWIQTQQtqCV
key: hashable-1.2.7.0-CWI8VZuQTAYWIQTQQtqCV
license: BSD-3-Clause
maintainer: johan.tibell@gmail.com
author: Milan Straka <fox@ucw.cz>
        Johan Tibell <johan.tibell@gmail.com>
stability: Provisional
homepage: http://github.com/tibbe/hashable
synopsis: A class for types that can be converted to a hash value
description:
    This package defines a class, 'Hashable', for types that
    can be converted to a hash value.  This class
    exists for the benefit of hashing-based data
    structures.  The package provides instances for
    basic types and a way to combine hash values.
category: Data
abi: e08f458f75735af7bc7a40285bc23571
exposed: True
exposed-modules:
    Data.Hashable Data.Hashable.Lifted
hidden-modules: Data.Hashable.Class Data.Hashable.Generic
import-dirs: /usr/local/lib/ghc/hashable-1.2.7.0
library-dirs: /usr/local/lib/ghc/hashable-1.2.7.0
dynamic-library-dirs: /usr/local/lib/ghc/hashable-1.2.7.0
data-dir: /usr/local/share/hs-hashable-1.2.7.0
hs-libraries: HShashable-1.2.7.0-CWI8VZuQTAYWIQTQQtqCV
depends:
    base-4.12.0.0 bytestring-0.10.8.2 deepseq-1.4.4.0 ghc-prim-0.5.3
    integer-gmp-1.0.2.0 text-1.2.3.1
haddock-interfaces: /usr/local/share/doc/hs-hashable-1.2.7.0/html/hashable.haddock
haddock-html: /usr/local/share/doc/hs-hashable-1.2.7.0/html
